# Parent Company

This endpoint lists the parent company (if any) of the originating company.

### Example URL:

```
https://api2.redflagalert.net/v4/companies/03039051/parent-company/
```

### JSON Structure

```javascript
{
	"data": {
		"relationships": [{
			"group-company": {
				"links": {
					"related": "https://api2.redflagalert.net/v4/companies/02649163/group-company"
				}
			}
		}, {
			"addresses": {
				"links": {
					"related": "https://api2.redflagalert.net/v4/companies/02649163/addresses/"
				}
			}
		}, {
			"balance_sheet": {
				"links": {
					"related": "https://api2.redflagalert.net/v4/companies/02649163/balance-sheet/"
				}
			}
		}, {
			"previous_names": {
				"links": {
					"related": "https://api2.redflagalert.net/v4/companies/02649163/previous-names/"
				}
			}
		}, {
			"shareholders": {
				"links": {
					"related": "https://api2.redflagalert.net/v4/companies/02649163/shareholders/"
				}
			}
		}, {
			"cashflow": {
				"links": {
					"related": "https://api2.redflagalert.net/v4/companies/02649163/cashflow/"
				}
			}
		}, {
			"contacts": {
				"links": {
					"related": "https://api2.redflagalert.net/v4/companies/02649163/contacts/"
				}
			}
		}, {
			"directorships": {
				"links": {
					"related": "https://api2.redflagalert.net/v4/companies/02649163/directorships/"
				}
			}
		}, {
			"profit_loss": {
				"links": {
					"related": "https://api2.redflagalert.net/v4/companies/02649163/profit-loss/"
				}
			}
		}, {
			"mortgages": {
				"links": {
					"related": "https://api2.redflagalert.net/v4/companies/02649163/mortgages/"
				}
			}
		}, {
			"ratio_analysis": {
				"links": {
					"related": "https://api2.redflagalert.net/v3/companies/02649163/ratio-analysis/"
				}
			}
		}, {
			"filing-history": {
				"links": {
					"related": "https://api2.redflagalert.net/v4/companies/02649163/filing-history/"
				}
			}
		}],
		"attributes": {
			"dissolution_date": null,
			"website": "www.vixtechnology.com",
			"name": "VIX AFC LIMITED",
			"dissolution_status": null,
			"company_type": "ltd",
			"company_number": "02649163",
			"company_aims": "The 30.06.15 accounts indicate that the company is either dormant or no longer trades. ",
			"legal_status": "Non-Trading",
			"rfa_rating": {
				"health_rating_code": 9,
				"credit_limit": 71300,
				"short_code": "NT",
				"trading_payment_parity": null,
				"short_description": "Not Trading",
				"long_description": "This simply indicates that according to information filed at Companies House the company had a non-trading status. Should credit be sought in the name of the company care should be taken and a full disclosure sought."
			},
			"TPS": false,
			"auditor": "UHYHackerYoung",
			"incorporation_date": "1991-09-26",
			"sic_codes": [
				"35500"
			]
		},
		"type": "company",
		"id": "02649163",
		"links": {
			"self": "https://api2.redflagalert.net/v4/companies/02649163/"
		}
	}
}
```

### Attributes

| Field Key            | Description                                                                                | Notes                                                                                                             |
| -------------------- | ------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------- |
| `dissolution_date`   | Date the company was dissolved if applicable.                                              |                                                                                                                   |
| `website`            | Company website URL if known.                                                              |                                                                                                                   |
| `name`               | The registered name for this business.                                                     |                                                                                                                   |
| `dissolution_status` | For companies that have been dissolved, their exact status.                                | See [Appendix 1](/appendix/dissolution-status-codes.md) for possible values.                                      |
| `company_type`       | The type of company, i.e. PLC, LTD etc.                                                    |                                                                                                                   |
| `company_number`     | The Companies House identification number for the company.                                 |                                                                                                                   |
| `company_aims`       | Description of the aims of the company.                                                    |                                                                                                                   |
| `legal_status`       | Detailed legal status of the company.                                                      |                                                                                                                   |
| `rfa_rating`         | The Red Flag Alert credit rating currently assigned to this company.                       | See [Appendix 3](/appendix/rfa-health-ratings.md) for a complete list of Red Flag Alert ratings and descriptions. |
| `TPS`                | Boolean value showing if the company has registered with the Telephone Preference Service. |                                                                                                                   |
| `auditor`            | The registered auditor for this business.                                                  |                                                                                                                   |
| `incorporation_date` | The date that the company was incorporated.                                                |                                                                                                                   |
| `sic_codes`          | An array containing the specific sic codes which this company is in.                       |                                                                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redflagalert.net/company-resources/parent-company.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
